component_ports = { 5347 }
component_interface = "0.0.0.0"
http_ports = { ${JITSI_PROSODY_BOSH_PORT} }
log = {
  error="/dev/stderr"
  info="/dev/stdout"
}

VirtualHost "jitsi.deuxfleurs.fr"
  authentication = "anonymous"
  ssl = {
    key = "/var/lib/prosody/jitsi.key";
    certificate = "/var/lib/prosody/jitsi.crt";
  }
  modules_enabled = {
    "bosh";
    "pubsub";
  }
  c2s_require_encryption = false

VirtualHost "auth.jitsi.deuxfleurs.fr"
  ssl = {
    key = "/var/lib/prosody/auth.jitsi.key";
    certificate = "/var/lib/prosody/auth.jitsi.crt";
  }
  authentication = "internal_plain"
  admins = { "focus@auth.jitsi.deuxfleurs.fr"}

Component "conference.jitsi.deuxfleurs.fr" "muc"
Component "internal.auth.jitsi.deuxfleurs.fr" "muc"
  storage = "memory"
  modules_enabled = { "ping"; }
  admins = { "focus@auth.jitsi.deuxfleurs.fr", "jvb@auth.jitsi.deuxfleurs.fr" }

